apiVersion: workspace.devfile.io/v1alpha2
kind: DevWorkspaceTemplate
metadata:
  annotations:
    che.eclipse.org/components-update-policy: managed
    che.eclipse.org/plugin-registry-url: 'http://127.0.0.1:8080/dashboard/api/editors/devfile?che-editor=che-incubator/che-code/latest'
  resourceVersion: '383216991'
  name: che-code-java-lombok-1wdz
  uid: 73b5c856-cac6-472b-8b88-a2f9620e2fe9
  creationTimestamp: '2025-03-11T15:56:48Z'
  generation: 1
  managedFields:
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:che.eclipse.org/components-update-policy': {}
            'f:che.eclipse.org/plugin-registry-url': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"eb3b9e8f-2bb4-4fa6-b63f-36e03e290a15"}': {}
        'f:spec':
          .: {}
          'f:commands': {}
          'f:components': {}
          'f:events':
            .: {}
            'f:postStart': {}
            'f:preStart': {}
      manager: unknown
      operation: Update
      time: '2025-03-11T15:56:48Z'
  namespace: dnochevn-dev
  ownerReferences:
    - apiVersion: workspace.devfile.io/v1alpha2
      kind: devworkspace
      name: java-lombok-1wdz
      uid: eb3b9e8f-2bb4-4fa6-b63f-36e03e290a15
spec:
  commands:
    - apply:
        component: che-code-injector
      id: init-container-command
    - exec:
        commandLine: nohup /checode/entrypoint-volume.sh > /checode/entrypoint-logs.txt 2>&1 &
        component: che-code-runtime-description
      id: init-che-code-command
  components:
    - container:
        cpuRequest: 30m
        command:
          - /entrypoint-init-container.sh
        env:
          - name: CHE_DASHBOARD_URL
            value: 'https://devspaces.apps.rstage.wybr.p1.openshiftapps.com'
          - name: CHE_PLUGIN_REGISTRY_URL
            value: ''
          - name: CHE_PLUGIN_REGISTRY_INTERNAL_URL
            value: ''
          - name: CLUSTER_CONSOLE_URL
            value: 'https://console-openshift-console.apps.rstage.wybr.p1.openshiftapps.com'
          - name: CLUSTER_CONSOLE_TITLE
            value: OpenShift console
          - name: OPENVSX_REGISTRY_URL
            value: 'https://open-vsx.org'
        memoryRequest: 32Mi
        sourceMapping: /projects
        cpuLimit: 500m
        volumeMounts:
          - name: checode
            path: /checode
        memoryLimit: 256Mi
        image: 'registry.redhat.io/devspaces/code-rhel9@sha256:5c94e2cb003be58873ad9d90fe695da7633cafe435a164e330b43cff7430e63c'
      name: che-code-injector
    - attributes:
        app.kubernetes.io/component: che-code-runtime
        app.kubernetes.io/part-of: che-code.eclipse.org
        controller.devfile.io/container-contribution: true
      container:
        cpuRequest: 30m
        env:
          - name: CHE_DASHBOARD_URL
            value: 'https://devspaces.apps.rstage.wybr.p1.openshiftapps.com'
          - name: CHE_PLUGIN_REGISTRY_URL
            value: ''
          - name: CHE_PLUGIN_REGISTRY_INTERNAL_URL
            value: ''
          - name: CLUSTER_CONSOLE_URL
            value: 'https://console-openshift-console.apps.rstage.wybr.p1.openshiftapps.com'
          - name: CLUSTER_CONSOLE_TITLE
            value: OpenShift console
          - name: OPENVSX_REGISTRY_URL
            value: 'https://open-vsx.org'
        memoryRequest: 256Mi
        sourceMapping: /projects
        cpuLimit: 500m
        volumeMounts:
          - name: checode
            path: /checode
        memoryLimit: 1024Mi
        image: 'registry.redhat.io/devspaces/udi-rhel9@sha256:65c893972c503b136d6b373c49f113b8c63530d4c7873ef8ab20357e5d43fe7a'
        endpoints:
          - attributes:
              cookiesAuthEnabled: true
              discoverable: false
              type: main
              urlRewriteSupported: true
            exposure: public
            name: che-code
            protocol: https
            secure: true
            targetPort: 3100
          - attributes:
              discoverable: false
              urlRewriteSupported: false
            exposure: public
            name: code-redirect-1
            protocol: https
            targetPort: 13131
          - attributes:
              discoverable: false
              urlRewriteSupported: false
            exposure: public
            name: code-redirect-2
            protocol: https
            targetPort: 13132
          - attributes:
              discoverable: false
              urlRewriteSupported: false
            exposure: public
            name: code-redirect-3
            protocol: https
            targetPort: 13133
      name: che-code-runtime-description
    - name: checode
      volume: {}
  events:
    postStart:
      - init-che-code-command
    preStart:
      - init-container-command
